package com.fs.live.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.live.domain.LiveTagConfig;
import com.fs.live.vo.LiveTagItemVO;
import org.apache.ibatis.annotations.Param;

/**
 * 直播间标签配置Mapper接口
 * 
 * @author fs
 * @date 2025-12-13
 */
public interface LiveTagConfigMapper extends BaseMapper<LiveTagConfig>{
    /**
     * 查询直播间标签配置
     * 
     * @param id 直播间标签配置主键
     * @return 直播间标签配置
     */
    LiveTagConfig selectLiveTagConfigById(Long id);

    /**
     * 查询直播间标签配置列表
     * 
     * @param liveTagConfig 直播间标签配置
     * @return 直播间标签配置集合
     */
    List<LiveTagConfig> selectLiveTagConfigList(LiveTagConfig liveTagConfig);

    /**
     * 新增直播间标签配置
     * 
     * @param liveTagConfig 直播间标签配置
     * @return 结果
     */
    int insertLiveTagConfig(LiveTagConfig liveTagConfig);

    /**
     * 修改直播间标签配置
     * 
     * @param liveTagConfig 直播间标签配置
     * @return 结果
     */
    int updateLiveTagConfig(LiveTagConfig liveTagConfig);

    /**
     * 删除直播间标签配置
     * 
     * @param id 直播间标签配置主键
     * @return 结果
     */
    int deleteLiveTagConfigById(Long id);

    /**
     * 批量删除直播间标签配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLiveTagConfigByIds(Long[] ids);

    int deleteByLiveId(@Param("liveId") Long liveId);

    List<LiveTagItemVO> getLiveTagListByliveId(@Param("liveId") Long liveId);
}
